package com.diagbot.entity.relationship;

import com.diagbot.entity.node.Medicine;
import com.diagbot.entity.node.AgeMin;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.EndNode;
import org.neo4j.ogm.annotation.RelationshipEntity;
import org.neo4j.ogm.annotation.StartNode;

/**
 * 关系-鉴别诊断
 *
 * @author Mark Huang
 */
@Getter
@Setter
@RelationshipEntity(type="药品通用名禁忌年龄最小值")
public class Medicine_AgeMin {

    @StartNode
    private Medicine medicine;

    @EndNode
    private AgeMin agemin;

}
